LibreOffice LibreOffice 25.8 SDK API Reference

Public Attributes | List of all members
XDocumentDataSource Interface Reference

simplifies the accessing of data sources and their corresponding database document. More...

`import"XDocumentDataSource.idl";`

Inheritance diagram for XDocumentDataSource:

## Public Attributes
XOfficeDatabaseDocument | DatabaseDocument
| provides access to the one and only OfficeDatabaseDocument which the data source is based on. More...

## Detailed Description

simplifies the accessing of data sources and their corresponding database document.

The interface can be used to access the data source of the database document.

See also
  OfficeDatabaseDocument

## Member Data Documentation

## ◆ DatabaseDocument

XOfficeDatabaseDocument DatabaseDocument
| attribute readonly

provides access to the one and only OfficeDatabaseDocument which the data source is based on.

The component returned by this attribute is an OfficeDatabaseDocument.

Though there is a 1-to-1 relationship between database documents and data sources, each of the two can exist without its counterpart, but create this counterpart on request only. As a consequence, the document obtained via this attribute might be newly created, which implies that the caller is now responsible for it. In particular, the caller is responsible for calling com::sun::star::util::XCloseable::close() on the document as soon as it's not needed anymore.

Additionally, if the caller does long-lasting processing on the document, it's advised to add itself as com::sun::star::util::XCloseListener to the document, to prevent closing as long as the processing lasts.

The documentation for this interface was generated from the following file:

- com/sun/star/sdb/XDocumentDataSource.idl